Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1065736 - Lossy lossless compression in hybrid mode
Summary: Lossy lossless compression in hybrid mode
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: wavpack
Version: 20
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Peter Lemenkov
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-02-16 13:28 UTC by František Dvořák
Modified: 2014-03-06 08:08 UTC (History)
3 users (show)

Fixed In Version: wavpack-4.70.0-1.fc19
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-02-23 08:37:33 UTC


Attachments (Terms of Use)

Description František Dvořák 2014-02-16 13:28:34 UTC
Description of problem:

wavpack codec supports correction file for hybrid mode, which can be used for fully restoring the original wave data. With options "-bXXXX -c" though, the wave data differs after coding and decoding.

Version-Release number of selected component (if applicable):

4.60.1-8.fc20

How reproducible:

always

Steps to Reproduce:
0. # have 1.wav sound file
1. wavpack -b24 -c 1.wav -o 2.wv
2. wvunpack 2.wv
3. cmp 2.wav 1.wav && echo OK || echo FAIL

Actual results:

2.wav 1.wav differ: char 88213, line 41
FAIL

Expected results:

OK

Additional info:

* 4.70.0 upstream version fixes the problem
* using additional "-cc" option results in loss-less compression even with 4.60.0
* tested with 44100 Hz, 16 bit, stereo file.

Comment 1 Fedora Update System 2014-02-17 13:09:52 UTC
wavpack-4.70.0-1.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/wavpack-4.70.0-1.fc19

Comment 2 Fedora Update System 2014-02-17 13:10:35 UTC
wavpack-4.70.0-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/wavpack-4.70.0-1.fc20

Comment 3 Fedora Update System 2014-02-18 13:28:15 UTC
Package wavpack-4.70.0-1.fc19:
* should fix your issue,
* was pushed to the Fedora 19 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing wavpack-4.70.0-1.fc19'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2014-2668/wavpack-4.70.0-1.fc19
then log in and leave karma (feedback).

Comment 4 lnie 2014-02-21 03:23:26 UTC
wavpack-4.70.0-1.fc19 works

Comment 5 Fedora Update System 2014-02-23 08:37:33 UTC
wavpack-4.70.0-1.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 6 Fedora Update System 2014-03-06 08:08:50 UTC
wavpack-4.70.0-1.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.